Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Class ColorCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.DialogCellEditor
              org.eclipse.jface.viewers.ColorCellEditor

public class ColorCellEditor
extends DialogCellEditor

A cell editor that manages a color field. The cell editor's value is the color (an SWT `RBG`).

This class may be instantiated; it is not intended to be subclassed.

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.viewers.CellEditor
`CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.DialogCellEditor
`CELL_EDITOR_IMG_DOTS_BUTTON`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`ColorCellEditor(Composite parent)` Creates a new color cell editor parented under the given control.
`ColorCellEditor(Composite parent, int style)` Creates a new color cell editor parented under the given control.

Method Summary
`protected Control` | `createContents(Composite cell)` Creates the controls used to show the value of this cell editor.
`void` | `dispose()` Disposes of this cell editor and frees any associated SWT resources.
`protected Object` | `openDialogBox(Control cellEditorWindow)` Opens a dialog box under the given parent control and returns the dialog's value when it closes, or `null` if the dialog was cancelled or no selection was made in the dialog.
`protected void` | `updateContents(Object value)` Updates the controls showing the value of this cell editor.

Methods inherited from class org.eclipse.jface.viewers.DialogCellEditor
`createButton, createControl, doGetValue, doSetFocus, doSetValue, getDefaultLabel`

Methods inherited from class org.eclipse.jface.viewers.CellEditor
`activate, addListener, addPropertyChangeListener, create, deactivate, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCorrect, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, keyReleaseOccured, markDirty, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorCellEditor

    public ColorCellEditor(Composite parent)

  Creates a new color cell editor parented under the given control. The cell editor value is black (`RGB(0,0,0)`) initially, and has no validator.

Parameters:
  `parent` - the parent control

### ColorCellEditor

    public ColorCellEditor(Composite parent,
                           int style)

  Creates a new color cell editor parented under the given control. The cell editor value is black (`RGB(0,0,0)`) initially, and has no validator.

Parameters:
  `parent` - the parent control
  `style` - the style bits
Since:
  2.1

Method Detail

### createContents

    protected Control createContents(Composite cell)

  Description copied from class: `DialogCellEditor`
  Creates the controls used to show the value of this cell editor.

  The default implementation of this framework method creates a label widget, using the same font and background color as the parent control.

  Subclasses may reimplement. If you reimplement this method, you should also reimplement `updateContents`.

  Overrides:
    `createContents` in class `DialogCellEditor`
  Parameters:
    `cell` - the control for this cell editor

### dispose

    public void dispose()

  Description copied from class: `CellEditor`
  Disposes of this cell editor and frees any associated SWT resources.

  Overrides:
    `dispose` in class `CellEditor`

### openDialogBox

    protected Object openDialogBox(Control cellEditorWindow)

  Description copied from class: `DialogCellEditor`
  Opens a dialog box under the given parent control and returns the dialog's value when it closes, or `null` if the dialog was cancelled or no selection was made in the dialog.

  This framework method must be implemented by concrete subclasses. It is called when the user has pressed the button and the dialog box must pop up.

  Specified by:
    `openDialogBox` in class `DialogCellEditor`
  Parameters:
    `cellEditorWindow` - the parent control cell editor's window so that a subclass can adjust the dialog box accordingly
  Returns:
    the selected value, or `null` if the dialog was cancelled or no selection was made in the dialog

### updateContents

    protected void updateContents(Object value)

  Description copied from class: `DialogCellEditor`
  Updates the controls showing the value of this cell editor.

  The default implementation of this framework method just converts the passed object to a string using `toString` and sets this as the text of the label widget.

  Subclasses may reimplement. If you reimplement this method, you should also reimplement `createContents`.

  Overrides:
    `updateContents` in class `DialogCellEditor`
  Parameters:
    `value` - the new value of this cell editor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.